Bug 19614 - PCMCIA ethernet won't initialize on boot
PCMCIA ethernet won't initialize on boot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-23 11:28 EDT by Charles Moon
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Moon 2000-10-23 11:28:59 EDT
Here's the problem:

I upgraded from RH6.1 to 7.0. Now on boot my PCMCIA ethernet card fails
to initialize. If, after booting I pop out the card and reinsert it into
the same socket it fails to be recognized (beep-boop), but if I insert
it the OTHER socket, it is recognized and works perfectly from that
point.  

Hardware: IBM Thinkpad i1452 dual boot Win98/RH 7.0 with Hawking 10/100 
dual speed ethernet adapter.

=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+
HERE IS PERTINENT LOG INFORMATION
=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+

Initial boot with card in Socket 1:

lsmod shows pcnet_cs loaded with 0 device

Log file:

pcmcia:  cardmgr.
rc: Starting pcmcia:  succeeded
cardmgr[476]: starting, version is 3.1.19
cardmgr[476]: watching 2 sockets
kernel: cs: IO port probe 0x0c00-0x0cff: excluding 0xcf8-0xcff
kernel: cs: IO port probe 0x0800-0x08ff: clean.
kernel: cs: IO port probe 0x0100-0x04ff: excluding 0x3b8-0x3df
0x408-0x40f 0x480-0x48f 0x4d0-0x4d7
kernel: cs: IO port probe 0x0a00-0x0aff: clean.
cardmgr[476]: initializing socket 1
kernel: cs: memory probe 0xa0000000-0xa0ffffff: clean.
cardmgr[476]: socket 1: 10/100 Dual Speed Fast Ethernet PC Card
cardmgr[476]: executing: 'modprobe 8390'
cardmgr[476]: executing: 'modprobe pcnet_cs'
kernel: eth0: pcnet_reset_8390() did not complete.
kernel: pcnet_cs: unable to read hardware net address for io base 0x300
cardmgr[476]: get dev info on socket 1 failed: No such device

From /proc/ioports:

0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
01f0-01f7 : ide0
0376-0376 : ide1
03c0-03df : vga+
03f6-03f6 : ide0
03f8-03ff : serial(auto)
7800-780f : ESS Solo1
7854-785f : ESS Solo1
7870-787f : ESS Solo1
7890-7893 : ESS Solo1

After removing card from socket and placing in OTHER socket:
                                               ^^^^^
lsmod shows pcnet_cs loaded with 1 device

From log:

cardmgr[476]: shutting down socket 1
cardmgr[476]: executing: 'modprobe -r pcnet_cs'
cardmgr[476]: executing: 'modprobe -r 8390'
cardmgr[476]: initializing socket 0
cardmgr[476]: socket 0: 10/100 Dual Speed Fast Ethernet PC Card
cardmgr[476]: executing: 'modprobe 8390'
cardmgr[476]: executing: 'modprobe pcnet_cs'
kernel: eth0: NE2000 (DL10022 rev 05): io 0x300, irq 3, hw_addr
00:E0:98:7A:B8:DF
cardmgr[476]: executing: './network start eth0'
kernel: eth0: found link beat

From /proc/ioports:

0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
01f0-01f7 : ide0
0300-031f : pcnet_cs
0376-0376 : ide1
03c0-03df : vga+
03f6-03f6 : ide0
03f8-03ff : serial(auto)
7800-780f : ESS Solo1
7854-785f : ESS Solo1
7870-787f : ESS Solo1
7890-7893 : ESS Solo1
Comment 1 Nalin Dahyabhai 2000-10-24 14:53:07 EDT
This looks more like a kernel driver issue than one with netcfg (the tool used
to configure network addresses and related information for interfaces).
Comment 2 CJeness 2000-12-12 13:21:07 EST
I have experienced exactly the same problem on my 1472i with a LinkSys 100/10
card.  Everything worked fine under RedHat 6.1.

Cynthia Jeness
Comment 3 CJeness 2001-01-23 03:44:58 EST
Has there been any resolution?  I have been trying to work out a strategy for
getting both my pcmcia SCSI card and my ethernet card working simultaneoulsy
without any luck.   I have a jaz drive attached to the pcmcia SCSI card (Adaptec
Slim SCSI).  100%of the time it recognizes the SCSI card.  About 20% of the
time, it also recognizes that there is an SDA4 scsi disk attached to the SCSI
controller.  I have not been able to determine any particular pattern in terms
of when the drive is recognized.  When the drive is not recognized, then I
cannot mount it.  I get the error:

	mount: the kernel does not recognize /dev/sda4 as a block device.

I am not sure if these problems are related.  However, both the network card and
the SCSI controller worked correctly under RedHat 6.2.
Comment 4 Bugzilla owner 2004-09-30 11:38:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.